BizKitHub
DocsAPI ReferenceNewsroom/bff/newsroom/enrich
postNewsroomAdmin BFF

/bff/newsroom/enrich

Runs AI enrichment on RSS articles that have not been analysed yet. Safe to call manually to backfill enrichment without rebuilding the shortlist.

NewsroompostBffNewsroomEnrich

Parameters

No parameters required

This endpoint takes no path, query, header or body parameters.

Response schema

1 status code documented

200Success
successbooleanRequired
attemptednumberRequired
succeedednumberRequired
failednumberRequired

Response example

application/json
{
  "success": false,
  "attempted": 0,
  "succeeded": 0,
  "failed": 0
}

Request example

POST /bff/newsroom/enrich

post
curl -X POST "https://api.bizkithub.com/bff/newsroom/enrich" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key